Name: xfdesktop
Version: 4.4.3
Release: alt0.M41.1

Summary: Desktop manager for the XFce Desktop Environment
License: GPL
Group: Graphical desktop/XFce
Url: http://www.xfce.org/
Packager: Georgy Kirik <kga@altlinux.ru>

Source: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2
Source1: xfce4-menumethod
Patch0: xfdesktop-4.4.3-fix-build.patch
Patch1: xfdesktop4_fix_is_ejectable_v2.diff

#from Ubuntu
Patch11: 02_show_context_menu.patch
Patch12: 03_special_icons_config.patch
Patch13: 10_backdrop_zoom.patch


# Automatically added by buildreq on Sun Nov 09 2008
BuildRequires: docbook-dtds docbook-style-xsl gcc-c++ gnome-doc-utils imake intltool libSM-devel libdbus-glib-devel time xfce4-dev-tools xorg-cf-files
BuildRequires: Thunar-devel >= 0.9.3, xfce-mcs-manager-devel >= %version, xfce4-panel-devel >= %version

%description
%name contains a desktop manager for the XFce Desktop Environment.

%prep
%setup
%patch0 -p1
%patch1 -p1

# from Ubuntu
%patch11 -p1
#%%patch12 -p1
%patch13 -p1

%build
libtoolize --force --copy
intltoolize --force
aclocal -I %_datadir/xfce4/dev-tools/m4macros
automake -acf
autoconf
%configure \
	--enable-thunar-vfs \
	--enable-thunarx \
	--enable-exo \
	--enable-desktop-icons \
	--enable-file-icons \
	--enable-menueditor \
	--enable-panel-plugin \
	--enable-xsltproc \
	--enable-xml2po \
	--enable-debug=no

%make_build

%install
%make install DESTDIR=%buildroot
install -pD -m755 %SOURCE1 %buildroot%_sysconfdir/menu-methods/xfce4-menumethod

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%_sysconfdir/xdg/xfce4/*
%_sysconfdir/menu-methods/*
%_bindir/*
%_libdir/xfce4/mcs-plugins/*.so
%_libexecdir/xfce4/panel-plugins/*
%_libdir/xfce4/modules/*.so
%_datadir/xfce4/backdrops/*.png
%_datadir/xfce4/doc/*/*.html
%_datadir/xfce4/doc/*/images/*
%_desktopdir/*
%_liconsdir/*
%_niconsdir/*
%_iconsdir/hicolor/scalable/apps/*
%_pixmapsdir/*
%_mandir/man?/*
%_datadir/xfce4-menueditor/xfce4-menueditor.ui
%_datadir/xfce4/panel-plugins/xfce4-menu.desktop
%exclude %_libdir/xfce4/mcs-plugins/*.la
%exclude %_libdir/xfce4/modules/*.la
%exclude %_libdir/xfce4/mcs-plugins/*.a
%exclude %_libdir/xfce4/modules/*.a

%changelog
* Tue Dec 27 2008 George Kirik <kga@altlinux.org> 4.4.3-alt0.M41.1
- backport Xfce 4.4.3 from Sisyphus to branch 4.1

* Sun Nov 09 2008 Eugene Ostapets <eostapets@altlinux.ru> 4.4.3-alt1
- Xfce 4.4.3 release

* Wed Dec 12 2007 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt2
- fix menu "Eject" for ejectable devices

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt1
- Xfce 4.4.2 release

* Sat Apr 14 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt1
- Xfce 4.4.1 release
- add patches from Ubuntu 7.04

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.0-alt0.1
- Xfce 4.4 release

* Sat Dec 30 2006 ALT QA Team Robot <qa-robot@altlinux.org> 4.3.99.2-alt1.1
- Rebuilt due to libdbus-1.so.2 -> libdbus-1.so.3 soname change.

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  4.3.99.1-alt2
- Fix buildreq and cleanup spec

* Sat Sep 30 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt1
- 4.4rc1

* Tue Nov 15 2005 Eugene Ostapets <eostapets@altlinux.ru> 4.2.3-alt1
- 4.2.3

* Wed May 18 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.2-alt1
- 4.2.2

* Thu Mar 17 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.1-alt1
- 4.2.1

* Sat Feb 19 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.0-alt2
- Fixed bug #6141.

* Sat Jan 15 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.0-alt1
- 4.2.0

* Fri Dec 24 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.99.3-alt1
- 4.1.99.3

* Mon Nov 01 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.91-alt1
- 4.1.91

* Wed Jul 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.6-alt1
- 4.0.6
- Fixed menu (thanks to zerg@).

* Sat Apr 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt1
- 4.0.5

* Tue Mar 16 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Thu Jan 22 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt2
- Changed menu title to "ALT Linux"

* Wed Jan 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt1
- 4.0.3

* Tue Dec 23 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.2-alt1
- 4.0.2

* Tue Nov 18 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Fri Sep 26 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt1
- 4.0.0

* Mon Sep 22 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.4-alt2
- Added rough system menu support (works only for russian).
  Thanks to Eugene A. Suchkov.

* Fri Sep 12 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.4-alt1
- 3.99.4

* Fri Aug 29 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.3-alt0.9
- 3.99.3

* Sun Aug 17 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.2-alt0.9
- 3.99.2

* Mon Jul 14 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.1-alt0.9
- 3.99.1

* Fri Jun 13 2003 Andrey Astafiev <andrei@altlinux.ru> 3.90.0-alt0.9
- First version of RPM package for Sisyphus.
- Spec derived from original version.
